Page MenuHomePhabricator

Links removed when text copied and pasted
Closed, ResolvedPublic

Description

This is particularly unhelpful if you need to change word order, as links are lost when you cut and paste the word you wanted to move.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Esanders created this task.Oct 10 2015, 1:15 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: ContentTranslation.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2015, 1:15 PM
Amire80 triaged this task as Medium priority.Oct 10 2015, 2:07 PM
Amire80 set Security to None.
He7d3r added a subscriber: He7d3r.Sep 6 2016, 12:17 PM
Pginer-WMF closed this task as Resolved.Mar 16 2018, 10:21 AM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

This is already supported in CX2, a major refactoring and architectural update of Content Translation to integrate the same editing surface as VisualEditor. Currently it can be tested by adding &version=2 to the URL of the translation editor (still experimental), and will become the default version in the future.

(Links pasted from external pages are still lost, but that is tracked in T76571 )